package com.qmth.digit.print.business.bean.dto;

import com.qmth.digit.print.common.enums.PrivilegeTypeEnum;

import java.util.ArrayList;
import java.util.List;

/**
 * @Date: 2021/3/29.
 */
public class PrivilegeDto {

    private Long id;
    private Long schoolId;
    private String name;
    private String url;
    private PrivilegeTypeEnum type;
    private Long parentId;
    private Integer sortNumber;
    private List<PrivilegeDto> children = new ArrayList<>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public PrivilegeTypeEnum getType() {
        return type;
    }

    public void setType(PrivilegeTypeEnum type) {
        this.type = type;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public List<PrivilegeDto> getChildren() {
        return children;
    }

    public void setChildren(List<PrivilegeDto> children) {
        this.children = children;
    }
}
