package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 考生
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_student")
public class ExamStudent extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    @TableField("exam_detail_course_id")
    private Long examDetailCourseId;
    @TableField("student_name")
    private String studentName;
    @TableField("student_code")
    private String studentCode;
    @TableField("ticket_number")
    private String ticketNumber;
    @TableField("site_number")
    private String siteNumber;
    @TableField("print_paper")
    private Integer printPaper;
    @TableField("print_card")
    private Integer printCard;
    @TableField("extend_fields")
    private String extendFields;
    @TableField("paper_type")
    private String paperType;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getExamDetailCourseId() {
        return examDetailCourseId;
    }

    public void setExamDetailCourseId(Long examDetailCourseId) {
        this.examDetailCourseId = examDetailCourseId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getTicketNumber() {
        return ticketNumber;
    }

    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public Integer getPrintPaper() {
        return printPaper;
    }

    public void setPrintPaper(Integer printPaper) {
        this.printPaper = printPaper;
    }

    public Integer getPrintCard() {
        return printCard;
    }

    public void setPrintCard(Integer printCard) {
        this.printCard = printCard;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }
}
