package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 命题任务审核日志表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_task_review_log")
public class ExamTaskReviewLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 命题任务ID
     */
    @TableField("exam_task_id")
    private Long examTaskId;
    /**
     * PASS-通过，NOT_PASS-不通过
     */
    @TableField("review_status")
    private String reviewStatus;
    /**
     * 审核意见
     */
    private String reason;
    @TableField("operate_id")
    private Long operateId;
    @TableField("operate_time")
    private Long operateTime;

    public Long getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(Long examTaskId) {
        this.examTaskId = examTaskId;
    }

    public String getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getOperateId() {
        return operateId;
    }

    public void setOperateId(Long operateId) {
        this.operateId = operateId;
    }

    public Long getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Long operateTime) {
        this.operateTime = operateTime;
    }
}
