package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 命题任务临时表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_task_temp")
public class ExamTaskTemp extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 本次导入数据临时ID
     */
    @TableField("batch_no")
    private String batchNo;
    /**
     * 课程代码
     */
    @TableField("course_code")
    private String courseCode;
    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;
    /**
     * 试卷编号
     */
    @TableField("paper_number")
    private String paperNumber;
    /**
     * 适用专业
     */
    private String specialty;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

}
