package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.query.BlurryParam;
import com.qmth.digit.print.business.bean.query.CourseParam;
import com.qmth.digit.print.business.entity.BasicCourse;

import java.util.List;

/**
 * <p>
 * 课程表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicCourseService extends IService<BasicCourse> {

    IPage<BasicCourse> list(CourseParam param);

    List<BasicCourse> list(BlurryParam param);

    boolean saveCourse(BasicCourse course);

    boolean remove(Long id);
}
