package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.dto.OrgDto;
import com.qmth.digit.print.business.entity.SysOrg;

import java.util.List;

/**
 * <p>
 * 学校组织架构 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysOrgService extends IService<SysOrg> {

    List<OrgDto> listOrgTree(Long schoolId);

    boolean saveOrg(SysOrg org);

    boolean enable(SysOrg org);

    boolean remove(Long id);
}
