package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.dto.PrivilegeDto;
import com.qmth.digit.print.business.entity.SysPrivilege;

import java.util.List;

/**
 * <p>
 * 菜单权限表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysPrivilegeService extends IService<SysPrivilege> {

    List<PrivilegeDto> listOrgTree(Long schoolId);

    boolean savePrivilege(SysPrivilege privilege);

    boolean remove(Long id);

    List<Long> getRolePrivileges(Long roleId);
}
