package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.dto.UserDto;
import com.qmth.digit.print.business.bean.query.UserParam;
import com.qmth.digit.print.business.entity.SysUser;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysUserService extends IService<SysUser> {

    IPage<UserDto> list(UserParam param);

    boolean saveUser(SysUser user);

    boolean enable(SysUser user);

    boolean resetPassword(Long id);

    boolean updatePassword(Long id, String oldPassword, String password);

    boolean bindRoles(Long id, Long... roleIds);
}
