package com.qmth.digit.print.common.enums;

import com.qmth.digit.print.common.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 试卷备份方式
 * @Date: 2021/3/23.
 */
public enum BackupMethodEnum {

    PLACE("按考点"),
    ROOM("按考场");

    BackupMethodEnum(String desc) {
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    private static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (BackupMethodEnum value : BackupMethodEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
