package com.qmth.digit.print.common.enums;

import com.qmth.digit.print.common.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 文件存储级别类型
 * @Date: 2021/3/23.
 */
public enum StorageLevelEnum {

    H("高"),
    M("中"),
    L("低");

    StorageLevelEnum(String desc) {
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    private static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (StorageLevelEnum value : StorageLevelEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
