package com.qmth.digit.print.business.bean;

import com.qmth.digit.print.business.entity.BasicSchool;
import com.qmth.digit.print.business.entity.SysUser;

public class ApiUser {

    private Long schoolId;

    private SysUser userData;

    private BasicSchool schoolData;

    public ApiUser(BasicSchool school) {
        schoolData = school;
        schoolId = school.getId();
    }

    public ApiUser(SysUser user) {
        userData = user;
        schoolId = user.getSchoolId();
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public SysUser getUserData() {
        return userData;
    }

    public BasicSchool getSchoolData() {
        return schoolData;
    }

}
