package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 考务规则
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_exam_rule")
public class BasicExamRule extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 必选字段
     */
    @TableField("required_fields")
    private String requiredFields;
    /**
     * 扩展字段
     */
    @TableField("extend_fields")
    private String extendFields;
    /**
     * 0-禁用，1-启用
     */
    private Integer review;
    /**
     * 0-禁用，1-启用
     */
    @TableField("include_paper")
    private Integer includePaper;
    /**
     * 0-禁用，1-启用
     */
    @TableField("custom_card")
    private Integer customCard;
    /**
     * AUTO-自动，MANUAL-手动
     */
    @TableField("print_method")
    private String printMethod;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(String requiredFields) {
        this.requiredFields = requiredFields;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public Integer getReview() {
        return review;
    }

    public void setReview(Integer review) {
        this.review = review;
    }

    public Integer getIncludePaper() {
        return includePaper;
    }

    public void setIncludePaper(Integer includePaper) {
        this.includePaper = includePaper;
    }

    public Integer getCustomCard() {
        return customCard;
    }

    public void setCustomCard(Integer customCard) {
        this.customCard = customCard;
    }

    public String getPrintMethod() {
        return printMethod;
    }

    public void setPrintMethod(String printMethod) {
        this.printMethod = printMethod;
    }

}
