package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 适用学院（题卡规则、模板适用学院）
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_template_org")
public class BasicTemplateOrg extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模板类型：GENERIC-通卡模板，VARIABLE-变量印品模板，ORDINARY-普通印品模板，CARD_RULE-题卡规则
     */
    private String type;
    /**
     * 通卡模板ID
     */
    @TableField("rule_id")
    private Long ruleId;
    /**
     * 组织机构ID
     */
    @TableField("org_id")
    private Long orgId;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
