package com.qmth.digit.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.digit.print.business.bean.query.RoleParam;
import com.qmth.digit.print.business.entity.SysRole;

import java.util.List;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysRoleService extends IService<SysRole> {

    IPage<SysRole> list(RoleParam param);

    boolean saveRole(SysRole role);

    boolean enable(SysRole role);

    boolean remove(Long id);

    List<Long> getUserRoles(Long userId);
}
