package com.qmth.digit.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.digit.print.business.entity.SysConfig;
import com.qmth.digit.print.business.mapper.SysConfigMapper;
import com.qmth.digit.print.business.service.SysConfigService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 参数表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Service
public class SysConfigServiceImpl extends ServiceImpl<SysConfigMapper, SysConfig> implements SysConfigService {

    @Override
    public String getByKey(String key) {
        QueryWrapper<SysConfig> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(SysConfig::getKey, key);
        SysConfig sysConfig = this.baseMapper.selectOne(queryWrapper);
        return sysConfig == null ? null : sysConfig.getValue();
    }
}
