package com.qmth.digit.print.common.enums;

import com.qmth.digit.print.common.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 命题类型
 * @Date: 2021/3/23.
 */
public enum ExamStatusEnum {

    NEW("新建"),
    STAGE("暂存"),
    SUBMIT("提交"),
    CANCEL("撤回");

    ExamStatusEnum(String desc) {
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    private static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ExamStatusEnum value : ExamStatusEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
