package com.qmth.digit.print.common.enums;

import com.qmth.digit.print.common.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * AB卷版式
 * @Date: 2021/3/23.
 */
public enum PaperTypeEnum {

    PRINT("印刷条码"),
    FILL("卡号填涂");

    PaperTypeEnum(String desc) {
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    private static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (PaperTypeEnum value : PaperTypeEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
